Subject: Re: [PATCH v2] git-gui: Handle Ctrl + BS/Del in the commit msg

From: Ismael Luceno <[email-masked]>
Date: Mon, 4 Mar 2019 15:09:47 +0100

On 21/Feb/2019 12:47, Junio C Hamano wrote:
> Ismael Luceno <[email-masked]> writes:
> 
> >> ....  I am not sure if going
> >> back by one character from where the current insertion cursor is and
> >> further go back to the wordstart would give the beginning of the
> >> word to the left of the cursor, though.
> >
> > ...
> > Current implementation doesn't behave correctly when there's multiple
> > spaces:
> 
> In short, I wondered if it is correct, and you say it is not correct.

It's better than nothing, and the behavior isn't harmful.

> I would be surprised if git-gui were the only program that
> implemented an editor-like feature using tcl/tk, and none of the
> other editor implementations using tcl/tk had such an industry
> standard "delete previous word".  Perhaps you can see if there
> is already a correct implementation of the feature this patch can
> borrow from?

I couldn't find such implementation yet. I'll come up with an improved
version if there's nothing else, but in the meanwhile it's worth to have
this one merged.